<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<body>

<h1>Number Range</h1>

<p>Imageviewer assumes that raw YUV files use 'video' conventions for signal levels and ranges
in input files. Luminance components should be encoded as unsigned numbers, and chrominance
components should use offset binary.</p>

<code>
For 8 bit files:-<br>
<br>
Luminance Black level = 16<br>
Luminance White level = 235<br>
Chrominance level = 128 +/-112<br>
Chrominance maximum = 240<br>
Chrominance minimum = 16<br>
</code>

<p>Luminance and chrominace values may fall outside the ranges shown above to allow for
under/overshoot during signal processing.</p>

<p>Values of 0 and 255 are reserved and video data must be clipped to aviod these numbers.</p>

<p>These values are scaled appropriatley for files with greater bit depth.</p>

<h2>Number range conversion for display</h2>

<p>Imageviewer allows the number range to be modified to suit a computer monitor, remain
as the input data. The 'View->Scaled YCbCr to RGB' menu option will scale luminance
values by 255/219, and chrominance values by 255/224.</p>

</body>
</html>